// Copyright (C) 1996 by Florian Raemy & LCAV, Swiss Federal Institute of
// Technology, Lausanne, Switzerland.  All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
// OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
// SUCH DAMAGE.
//
// Visit Florian's Home Page http://studwww.eurecom.fr/~raemy and
// LCAV Department of EPFL: http://lcavwww.epfl.ch

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import java.util.*;

/*
* Display_Window - A class which allows you to print on the screen the two pictures.
*/


class Display_Window extends Frame
{
    Image image;
    Image image2;
    int imageWidth_;

    /*
    * The constructor of the class need to know the height of the image, its width, the Jpeg compressed image and
    * the name of the file which has to be display next to the Jpeg compressed file.
    */
    public Display_Window(int[] imageArray, int imageWidth, int imageHeight,String image_load)
    {
        /*
        * Sizing of the window
        */
        super("JPEG Window"); // TITLE OF THE WINDOW
        System.out.println("Bom se prikazal sliko...");
        resize(2*imageWidth,30+imageHeight);
        imageWidth_=imageWidth;

        /*
        * Load the Jpeg compressed image and make sure it gets loaded
        */
        image = this.createImage(new MemoryImageSource(imageWidth,imageHeight-2,imageArray,0,imageWidth));
        MediaTracker tracker = new MediaTracker(this);
        tracker.addImage(image,1);
        try
        {
            tracker.waitForID(1);
        }
        catch (Exception e) {return;}

        /*
        * Load in original image
        */
        image2 = Toolkit.getDefaultToolkit().getImage(image_load);
        tracker = new MediaTracker(this);
        tracker.addImage(image,0);
        try
        {
            tracker.waitForID(0);

        }
        catch (Exception e) {return;}

        /*
        * Gives you the size of the picture
        */
        System.out.println("Sirina slike: " + imageWidth + ", dolzina slike:" + imageHeight  );
        this.show();
    }

    /*
    * Paint the image on the screen
    */
    public void paint(Graphics g)
    {
        g.drawImage(image2, 0, 0, this);
        g.drawImage(image,imageWidth_, 0, this);
    }
}
